Subject: Re: [PATCH] mm: make page pfmemalloc check more robust

From: Vlastimil Babka <[email-masked]>
Date: Fri, 14 Aug 2015 15:26:45 +0200

On 08/13/2015 04:40 PM, Eric Dumazet wrote:
> On Thu, 2015-08-13 at 11:13 +0200, Vlastimil Babka wrote:
>
>> Given that this apparently isn't the first case of this localhost issue,
>> I wonder if network code should just clear skb->pfmemalloc during send
>> (or maybe just send over localhost). That would be probably easier than
>> distinguish the __skb_fill_page_desc() callers for send vs receive.
>
> Would this still needed after this patch ?

Not until another corner case is discovered :) Or something passes a 
genuine pfmemalloc page to a socket (sending contents of some slab 
objects perhaps, where the slab page was allocated as pfmemalloc? Dunno 
if that can happen right now).

> It is sad we do not have a SNMP counter to at least count how often we
> drop skb because pfmemalloc is set.
>
> I'll provide such a patch.
>
>

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>